%define oname xfwm4

Summary:	Window manager for Xfce
Name:		xfwm
Version: 	4.4.1
Release:	%mkrel 9
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	%{oname}-%{version}.tar.bz2
Patch0:		%{oname}-4.4.1-fix-typo.patch
Patch2:		%{oname}-4.4.1-fix-memleak.patch
# (tpg) http://bugzilla.xfce.org/show_bug.cgi?id=3346
Patch3:		%{oname}-4.4.1-gtk2.patch
# (tpg) http://bugzilla.xfce.org/show_bug.cgi?id=3296
Patch4:		%{oname}-4.4.1-fix-transient-windows.patch
Requires:	xfce-mcs-manager >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxcomposite-devel
BuildRequires:	libxdamage-devel
BuildRequires:	startup-notification-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Xfce 4 window manager manages the placement of application 
windows on the screen, provides beautiful window decorations, 
manages workspaces or virtual desktops, and natively supports 
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows. 
The Xfce 4 window manager includes a keyboard shorcuts editor for user 
specific commands and basic windows manipulations, and it provides a 
dialog for advanced tweaks.

%prep
%setup -qn %{oname}-%{version}
%patch0 -p0 -b .typo
%patch2 -p1 -b .memleak
%patch3 -p1 -b .gtk2
%patch4 -p1 -b .windows
%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11 \
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{oname}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{oname}.lang
%defattr(-,root,root)
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR COPYING README TODO
%{_bindir}/xfwm4
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*
%{_datadir}/themes/*
%{_datadir}/xfwm4
%{_datadir}/xfce4/doc


%changelog
* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-9mdv2008.0
+ Revision: 92282
- provide patch 4, which fixes upstream Xfce bug #3296

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 91888
- drop patch 1 because it does nothing :(

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 71392
- provide patch 3 (fix against gtk 2.11.x which kills keyboard/mouse events)
- some cleans
- SILET remove it

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 44314
- disable compiling of static files rather than deleting them

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 35021
- provide P2 (fix memory leak)
- update description
- provide patch0

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 32565
- use macros in %%post and %%postun
- drop Source1
- drop __libtoolize
- add configure options
- spec file clean

* Thu Apr 26 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.4.1-3mdv2008.0
+ Revision: 18426
- Oops, forgot to bump release in last commit.
- Added missing BuildRequires for libxcomposite-devel and
  libxdamage-devel when building with compositor.

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 18232
- Build with compositor by default

* Mon Apr 23 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 17695
- New release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112331
- New release 4.4.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 96387
- New release 4.3.99.2
- Import xfwm

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- don't run libtoolize
- rediff P0 and repackaged galaxytheme

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3.2-1mdk
- 4.2.3
- remove more unneeded devel files
- improve filelist so no debug files are in main package

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- enable compositor again and add README.mdk
- remove unneeded devel files

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Mon Dec 27 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- disable compositor at compile time, make it optional
  disabling at runtime breaks

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- enable compositor at compile time

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Mon Nov 15 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- update galaxy theme (new Makefiles)
- rediff P0
- autoconf2.5 is default now
- update filelist

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

